curl --request GET \
--url https://api.hyperline.co/v1/subscriptions/templates/{id} \
--header 'Authorization: Bearer <token>'{
"id": "subt_7gdusOkqr5L0B8",
"name": "Starter",
"description": "Starter pack",
"configurations": [],
"created_at": "2025-11-30T18:24:34.473Z",
"updated_at": "2025-11-30T18:24:34.473Z"
}Retrieve an existing subscription template with its configurations details.
curl --request GET \
--url https://api.hyperline.co/v1/subscriptions/templates/{id} \
--header 'Authorization: Bearer <token>'{
"id": "subt_7gdusOkqr5L0B8",
"name": "Starter",
"description": "Starter pack",
"configurations": [],
"created_at": "2025-11-30T18:24:34.473Z",
"updated_at": "2025-11-30T18:24:34.473Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Subscription template ID.
"subt_7gdusOkqr5L0B8"
Subscription template name.
"Starter"
Subscription template description.
"Starter pack"
Subscription template configurations.
Show child attributes
Subscription template configuration ID.
"subtc_CjozNBirj6oGq3"
Subscription template currency.
EUR, AED, AFN, XCD, ALL, AMD, AOA, ARS, USD, AUD, AWG, AZN, BAM, BBD, BDT, XOF, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, NOK, BWP, BYR, BZD, CAD, CDF, XAF, CHF, NZD, CLP, CNY, COP, CRC, CUP, CVE, ANG, CZK, DJF, DKK, DOP, DZD, EGP, MAD, ERN, ETB, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZN, NAD, XPF, NGN, NIO, NPR, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VEF, VND, VUV, WST, YER, ZAR, ZMW, ZWL "EUR"
Subscription template country.
AD, AE, AF, AG, AI, AL, AM, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CR, CU, CV, CW, CX, CY, CZ, DE, DJ, DK, DM, DO, DZ, EC, EE, EG, EH, ER, ES, ET, FI, FJ, FK, FM, FO, FR, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, IC, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PT-20, PT-30, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SV, SX, SY, SZ, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TR, TT, TV, TW, TZ, UA, UG, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, XK, YE, YT, ZA, ZM, ZW null
Subscription custom name.
"Yearly subscription"
Minimum fee applied to each invoice outside of one time payments.
250
Strategy used to cancel the subscription. If not specified do_nothing is used.
charge_prorata: Will charge the customer the unpaid amount for the prorated period up to the end of the current period.charge_custom: Will charge the customer a custom amount.refund_prorata: Will refund to the customer the overpaid subscription amount using prorated calculations on the cancellation date.refund_custom: Will refund to the customer a custom amount.end_of_period: Will cancel the subscription at the end date of the current billing period.do_nothing: Will only cease the subscription without any additional actions.refund_prorata, refund_custom, charge_prorata, charge_custom, end_of_period, do_nothing Generate documents instead of invoices for the subscription.
If generate_document is turned on, allows you to give a name to your document.
If generate_document is turned on, will add taxes to document.
Generate draft invoices for the subscription. Each invoice will need to be reviewed and validated manually before being sent
Contract terms linked to the subscription.
Show child attributes
Contract status.
active: The contract is active.pending: The contract is pending. It will be activated according to the activation strategy.finished: The contract has ended.active, pending, finished "active"
Activation strategy of the contract.
immediately: The contract will be activated immediately.manual: The contract will be activated when a user manually activates it.start_date: The contract will be activated on a specified date.quote_signature: The contract will be activated when the subscription quote is signed.checkout: The contract will be activated when the subscription checkout is completed.start_date, immediately, manual, quote_signature, checkout "start_date"
End strategy of contract.
manual: The contract ends when a user manually stops it.end_date: The contract ends on a specified date.duration: The contract ends after a specific relative duration, unless renew_automatically is true.end_date, duration, manual "duration"
Interval over which the contract initially spans. Only applies to duration end strategy.
{ "count": 6, "period": "months" }Indicates if the contract should be renewed automatically.
true: The contract will be renewed automatically.false: The contract will not be renewed automatically.true
Interval over which the contract will be renewed. Only applies if renew_automatically is true.
{ "count": 1, "period": "years" }Phases of the subscription.
Show child attributes
Subscription phase ID.
"sup_1FoLfIQ5VOMbXf"
Type of subscription phase.
setup: The phase represents a non-recurring service setup period, often used before the actual recurring subscription begins.trial: The phase represents a non-recurring trial period, often used to allow users to opt out or experience a free test.standard: The phase represents a standard recurring billing.setup, trial, standard "standard"
Status of subscription phase.
pending: The phase is waiting to start (not started yet).active: The phase is currently in progress.finished: The phase has ended and is complete.pending, active, finished "pending"
Order in which the phase is executed within all subscription phases.
0
Activation strategy of subscription phase.
immediately: The phase starts as soon as the subscription is activated.manual: The phase starts when a user manually activates it.start_date: The phase starts on a specified date.quote_signature: The phase starts when the subscription quote is signed.checkout: The phase starts when the subscription checkout is completed.contract_start_date: The phase starts on the start date of the related subscription contract.previous_phase_end: The phase starts when the previous phase ends.immediately, manual, start_date, quote_signature, checkout, contract_start_date, previous_phase_end "manual"
End strategy of subscription phase.
manual: The phase ends when a user manually stops it.end_date: The phase ends on a specified date.duration: The phase ends after a specific relative duration.contract_end_date: The phase ends on the end date of the related subscription contract.manual, end_date, duration, contract_end_date "duration"
Interval over which the subscription phase spans. Only applies to duration end strategy.
{ "count": 1, "period": "years" }Represents when the first billing date occurs.
phase_start: Aligns with the start of the phase.specific_date: Occurs on a specified date.phase_start, specific_date "phase_start"
Alignment of product billing cycles.
calendar_period: The billing cycles of the products will be aligned on the calendar period, after the first period which will be invoiced taking into account the prorata of the first cycle compared to the product periodicity.anniversary: The billing cycles of the products will be aligned on the anniversary of the phase initial billing date.calendar_period, anniversary "anniversary"
Indicates if the phase should be invoiced. If set to true, the phase will not generate any invoices.
false
Calculation method used when transitioning from one phase to the next one.
prorata: The prorated amount between the two phases relative to the end date (the transition date) must be paid.pay_in_full: The full amount for the phase billing period must be paid.none: No amount will need to be paid, phase will simply transition from one to the next.prorata, pay_in_full, none "prorata"
Represents when the transition amount will be invoiced.
immediately: An invoice will be generated immediately with the corresponding amount.immediately "immediately"
Coupons comprising the subscription phase.
Show child attributes
Coupon description.
null
Date corresponding to the expiration of the coupon.
null
Maximum number of subscriptions to which a single coupon can be applied.
null
List of product IDs the coupon can be applied to. If empty, the coupon can be applied to any product. Product IDs to which the coupon will be applied.
["itm_FJKlqUb8COXw55"]amount Amount to apply as a discount on the total amount (excluding taxes) of a subscription. Expressed in the currency's smallest unit.
2000
Currency code. See ISO 4217.
EUR, AED, AFN, XCD, ALL, AMD, AOA, ARS, USD, AUD, AWG, AZN, BAM, BBD, BDT, XOF, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, NOK, BWP, BYR, BZD, CAD, CDF, XAF, CHF, NZD, CLP, CNY, COP, CRC, CUP, CVE, ANG, CZK, DJF, DKK, DOP, DZD, EGP, MAD, ERN, ETB, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZN, NAD, XPF, NGN, NIO, NPR, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SSP, STD, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, UYU, UZS, VEF, VND, VUV, WST, YER, ZAR, ZMW, ZWL "EUR"
Coupon ID.
"cou_DKL4Xcb5VSa8CQ"
Promotion code ID if the coupon has been created from a promotion code.
null
Coupon name.
"Partner discount"
Coupon identifier in the context of the subscription.
"coos_d9pVekhjoGppuX"
Coupon frequency.
once: Will apply the coupon only to the first one invoice.forever: Will apply the coupon to all invoices.custom: Will apply to coupon until a specified expiration date.duration: Will apply the coupon for a specific duration (e.g., 3 months).once, forever, custom, duration "forever"
Period of time for which the coupon will be applied. Only applies to the duration coupon frequency.
days, weeks, months, years Number of periods for which the coupon will be applied. Only applies to the duration coupon frequency.
Show child attributes
Product ID.
"itm_FJKlqUb8COXw55"
flat_fee Number of product units.
1
Product name. This will appear on the final invoices.
"Product name"
Product description. This will appear on the final invoices.
"A description of the product."
Indicates if the dates of the interval should be automatically added in the product description on the invoices.
Interval on which the product is billed. This interval can be different between products and can differ from the subscription commitment interval.
Show child attributes
once { "period": "once" }Indicates if the product should be billed at the start or the end of the payment interval.
start, end "start"
Price tiers of the product. If fixed amount, only one price is available.
1[]Was this page helpful?